### Method

# Ggit Patch to_string

#### Declaration [src]

    gchar*
    ggit_patch_to_string (
      GgitPatch* patch
      GError** error
    )

#### Description [src]

Gets the content of a patch as a single diff text.

#### Return value

Type: `gchar*`

The content of a patch as a single diff text or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.